Bug 623110 - SELinux is preventing /usr/bin/nspluginscan "getattr" access on /usr/lib64/mozilla/plugins-wrapped.
Summary: SELinux is preventing /usr/bin/nspluginscan "getattr" access on /usr/lib...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:7cfb1ee0f46...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-11 11:14 UTC by Sandro Mathys
Modified: 2010-08-24 01:50 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.8.8-14.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 01:50:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sandro Mathys 2010-08-11 11:14:56 UTC
Summary:

SELinux is preventing /usr/bin/nspluginscan "getattr" access on
/usr/lib64/mozilla/plugins-wrapped.

Detailed Description:

SELinux denied access requested by nspluginscan. It is not expected that this
access is required by nspluginscan and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c102
                              3
Target Context                system_u:object_r:nsplugin_rw_t:s0
Target Objects                /usr/lib64/mozilla/plugins-wrapped [ dir ]
Source                        nspluginscan
Source Path                   /usr/bin/nspluginscan
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           kdebase-4.5.0-1.fc14
Target RPM Packages           nspluginwrapper-1.3.0-14.fc14
Policy RPM                    selinux-policy-3.8.8-10.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35-3.fc14.x86_64 #1 SMP
                              Fri Aug 6 19:41:28 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Wed 11 Aug 2010 03:12:37 PM CEST
Last Seen                     Wed 11 Aug 2010 03:12:37 PM CEST
Local ID                      7885b5d6-a039-4436-a642-beab593947d4
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281532357.131:157): avc:  denied  { getattr } for  pid=2352 comm="nspluginscan" path="/usr/lib64/mozilla/plugins-wrapped" dev=dm-1 ino=13374591 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:nsplugin_rw_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1281532357.131:157): arch=c000003e syscall=6 success=no exit=-13 a0=224bb48 a1=7fffbb295d80 a2=7fffbb295d80 a3=86 items=0 ppid=2027 pid=2352 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="nspluginscan" exe="/usr/bin/nspluginscan" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,nspluginscan,nsplugin_t,nsplugin_rw_t,dir,getattr
audit2allow suggests:

#============= nsplugin_t ==============
allow nsplugin_t nsplugin_rw_t:dir getattr;

Comment 2 Fedora Update System 2010-08-13 20:29:43 UTC
selinux-policy-3.8.8-14.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-14.fc14

Comment 3 Laurent Rineau 2010-08-18 16:08:40 UTC
I have had this AVC on F-13.

Comment 4 Daniel Walsh 2010-08-23 16:09:52 UTC
Miroslav can you add

allow nsplugin_t nsplugin_rw_t:dir search_dir_perms;

to F13.

Comment 5 Fedora Update System 2010-08-24 01:49:15 UTC
selinux-policy-3.8.8-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.